Bug 1183644 - [abrt] Thunar: _dbus_watch_invalidate(): thunar killed by SIGSEGV
Summary: [abrt] Thunar: _dbus_watch_invalidate(): thunar killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:55f9ebd45cd540b52d87fce8dc0...
: 1183746 1184150 1184181 1184619 1185233 1185428 1185526 1187942 1188055 1190026 1190036 1191243 1192679 1192828 1193217 1193379 1193717 1195441 1197306 1197662 1198123 1205401 1205437 1213849 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-19 11:38 UTC by frank.schletz
Modified: 2015-04-30 11:49 UTC (History)
41 users (show)

Fixed In Version: Thunar-1.6.7-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-22 22:44:51 UTC


Attachments (Terms of Use)
File: backtrace (19.39 KB, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: cgroup (180 bytes, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: core_backtrace (13.65 KB, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: dso_list (8.60 KB, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: environ (1.67 KB, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: maps (46.20 KB, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: open_fds (301 bytes, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
File: var_log_messages (379 bytes, text/plain)
2015-01-19 11:39 UTC, frank.schletz
no flags Details
Thunar 1.6.6 crash with patch applied. (5.62 KB, text/plain)
2015-03-07 11:58 UTC, Ali Akcaagac
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 11450 None None None Never

Description frank.schletz 2015-01-19 11:38:57 UTC
Version-Release number of selected component:
Thunar-1.6.4-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/thunar
kernel:         3.17.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dbus_watch_invalidate at dbus-watch.c:171
 #1 free_watches at dbus-transport-socket.c:83
 #2 socket_disconnect at dbus-transport-socket.c:1019
 #3 _dbus_transport_disconnect at dbus-transport.c:509
 #4 _dbus_transport_queue_messages at dbus-transport.c:1165
 #5 _dbus_connection_get_dispatch_status_unlocked at dbus-connection.c:4238
 #6 dbus_connection_get_dispatch_status at dbus-connection.c:4369
 #7 message_queue_prepare at dbus-gmain.c:71
 #8 g_main_context_prepare at gmain.c:3340
 #11 gtk_main at gtkmain.c:1257

Comment 1 frank.schletz 2015-01-19 11:39:00 UTC
Created attachment 981477 [details]
File: backtrace

Comment 2 frank.schletz 2015-01-19 11:39:01 UTC
Created attachment 981478 [details]
File: cgroup

Comment 3 frank.schletz 2015-01-19 11:39:03 UTC
Created attachment 981479 [details]
File: core_backtrace

Comment 4 frank.schletz 2015-01-19 11:39:04 UTC
Created attachment 981480 [details]
File: dso_list

Comment 5 frank.schletz 2015-01-19 11:39:05 UTC
Created attachment 981481 [details]
File: environ

Comment 6 frank.schletz 2015-01-19 11:39:06 UTC
Created attachment 981482 [details]
File: exploitable

Comment 7 frank.schletz 2015-01-19 11:39:07 UTC
Created attachment 981483 [details]
File: limits

Comment 8 frank.schletz 2015-01-19 11:39:09 UTC
Created attachment 981484 [details]
File: maps

Comment 9 frank.schletz 2015-01-19 11:39:10 UTC
Created attachment 981485 [details]
File: open_fds

Comment 10 frank.schletz 2015-01-19 11:39:11 UTC
Created attachment 981486 [details]
File: proc_pid_status

Comment 11 frank.schletz 2015-01-19 11:39:12 UTC
Created attachment 981487 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2015-01-19 16:10:43 UTC
What were you doing when this happened?

Can you duplicate it?

Comment 13 frank.schletz 2015-01-19 16:47:45 UTC
"Duplicate" error => recreate situation

Re-create error by:

enable "preview for local files only" in Thunar
Create a PDF on Desktop (by printing to PDF)
Move File from Desktop to a directory in Thunar
Wait 2 seconds
Move File from Thunar back tu Desktop
Thunar crashed


Crash only occur if "preview files" is on and file is moved
from or to thunar.

HTH
Frank

Comment 14 Kevin Fenzi 2015-01-19 18:55:54 UTC
*** Bug 1183746 has been marked as a duplicate of this bug. ***

Comment 15 Kevin Fenzi 2015-01-20 21:06:38 UTC
*** Bug 1184181 has been marked as a duplicate of this bug. ***

Comment 16 Kevin Fenzi 2015-01-20 21:06:47 UTC
*** Bug 1184150 has been marked as a duplicate of this bug. ***

Comment 17 Cristian Ciupitu 2015-01-21 00:35:41 UTC
It happened to me too, 3 times while  copying a movie and its subtitles from one tab to another one. "Show thumbnails" is set to "Local Files Only".

Comment 18 Tomasz Ostrowski 2015-01-22 12:44:22 UTC
Another user experienced a similar problem:

CTRL-C a PDF file with spaces in name from /tmp and CTRL-V it to smb: share from Windows Server 2008 mounted in NETWORK.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar --daemon
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/thunar
kernel:         3.17.4-200.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 veronica andreo 2015-01-22 13:41:04 UTC
Another user experienced a similar problem:

moving files from one folder to other, using CTRL-C and CTRL-V

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar --daemon
crash_function: _dbus_header_get_byte_order
executable:     /usr/bin/thunar
kernel:         3.17.8-200.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Kevin Fenzi 2015-01-23 23:16:40 UTC
*** Bug 1184619 has been marked as a duplicate of this bug. ***

Comment 21 Kevin Fenzi 2015-01-23 23:16:51 UTC
*** Bug 1185233 has been marked as a duplicate of this bug. ***

Comment 22 Kevin Fenzi 2015-01-23 23:17:03 UTC
*** Bug 1185428 has been marked as a duplicate of this bug. ***

Comment 23 Kevin Fenzi 2015-01-23 23:21:21 UTC
These all seem to be cases of: https://bugzilla.xfce.org/show_bug.cgi?id=11450 upstream bug. 

It also only seems to be affected f20 users so far, not f21. 

As a temp work around folks could get the previous Thunar version from: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=440751
and 'yum downgrade' to it. 

Thanks for all the reports...

Comment 24 Mukundan Ragavan 2015-01-24 15:54:26 UTC
*** Bug 1185526 has been marked as a duplicate of this bug. ***

Comment 25 Curtis Adkins 2015-01-24 23:07:24 UTC
Another user experienced a similar problem:

Ctrl+C -> Ctrl+P

copy and pasting files from one folder to the other

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar --daemon
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/thunar
kernel:         3.17.8-200.fc20.i686
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Kevin Fenzi 2015-01-31 16:52:39 UTC
*** Bug 1187942 has been marked as a duplicate of this bug. ***

Comment 27 Kevin Fenzi 2015-02-01 21:05:04 UTC
*** Bug 1188055 has been marked as a duplicate of this bug. ***

Comment 28 kr1st0 2015-02-03 05:31:04 UTC
Another user experienced a similar problem:

trying copy and paste between two tabs then the app suddenly closed.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/thunar
kernel:         3.17.7-200.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 Trisquelian 2015-02-05 17:31:06 UTC
I also started experienced segmentation faults after upgrading Thunar to Thunar.x86_64 0:1.6.4-1.fc20 from Thunar.x86_64 0:1.6.3-2.fc20 . The segmentation faults only occurred with copying and pasting using Control+C / Control+V from/to remote locations (I testesd MTP and various SD cards - MTP is the protocol for Android file transfer). There was no issue with local copying/pasting.

System Info:
Fedora 20 64 bit
Desktop Environment: XFCE
Window Manager: The default that comes with the above WM.

The files I tried to copy were mostly PNGs, text files and various video formats, which I cannot recall. All produced a segmentation fault.

Comment 30 Kevin Fenzi 2015-02-06 16:27:23 UTC
*** Bug 1190036 has been marked as a duplicate of this bug. ***

Comment 31 Kevin Fenzi 2015-02-06 16:27:33 UTC
*** Bug 1190026 has been marked as a duplicate of this bug. ***

Comment 32 Ken Dreyer 2015-02-07 23:18:34 UTC
I opened Thunar and browsed to a directory with a single PNG. I created a new folder there, and when I dragged the PNG file into the newly-created folder, Thunar crashed.

Comment 33 Kevin Fenzi 2015-02-13 15:38:01 UTC
*** Bug 1191243 has been marked as a duplicate of this bug. ***

Comment 34 cecco.se.it 2015-02-13 19:29:04 UTC
Another user experienced a similar problem:

Copy paste of a directory from Videos in my home dir to a thumb drive FAT32 just mounted.
I'm not sure if copy was with Ctrl+c or right click, copy.
I'm sure paste was Ctrl+v.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar --daemon
crash_function: memmove
executable:     /usr/bin/thunar
kernel:         3.18.5-101.fc20.i686+PAE
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 35 Kevin Fenzi 2015-02-14 19:09:30 UTC
*** Bug 1192679 has been marked as a duplicate of this bug. ***

Comment 36 Kevin Fenzi 2015-02-15 17:47:35 UTC
*** Bug 1192828 has been marked as a duplicate of this bug. ***

Comment 37 veronica andreo 2015-02-16 01:48:43 UTC
Another user experienced a similar problem:

CTRL+C and CTRL+V from one folder to another

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar --daemon
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/thunar
kernel:         3.18.6-100.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 38 Kevin Fenzi 2015-02-17 00:21:17 UTC
*** Bug 1193217 has been marked as a duplicate of this bug. ***

Comment 39 Chris 2015-02-17 18:50:15 UTC
Another user experienced a similar problem:

I was logged in to a SMB server, trying to drag-and-drop a folder to a local location (on an NTFS mount, if that makes any difference), and the destination Thunar instance immediately crashed.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        thunar
crash_function: _dbus_header_get_byte_order
executable:     /usr/bin/thunar
kernel:         3.18.6-100.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 40 Michael 2015-02-17 21:11:43 UTC
Another user experienced a similar problem:

Copying files to the directory on the mounted vfat partition.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: _wordcopy_fwd_dest_aligned
executable:     /usr/bin/thunar
kernel:         3.17.8-200.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 41 Kevin Fenzi 2015-02-18 00:24:59 UTC
*** Bug 1193379 has been marked as a duplicate of this bug. ***

Comment 42 Kevin Fenzi 2015-02-18 00:25:13 UTC
*** Bug 1193717 has been marked as a duplicate of this bug. ***

Comment 43 Ali Akcaagac 2015-02-20 16:08:53 UTC
Has this been fixed with Thunar 1.6.5 or the recent dbus updates that has shown up in Fedora repos ? Someone please confirm.

Comment 44 jamie 2015-02-20 17:01:35 UTC
Hmm I don't appear to be having this issue any more.

Comment 45 Kevin Fenzi 2015-02-20 17:11:23 UTC
(In reply to Ali Akcaagac from comment #43)
> Has this been fixed with Thunar 1.6.5 or the recent dbus updates that has
> shown up in Fedora repos ? Someone please confirm.

There's no indication on the upstream bug or in the Thunar 1.6.5 release news that this bug has been fixed there, but if a few folks would like to try it out and see, here is a scratch build: 

https://koji.fedoraproject.org/koji/taskinfo?taskID=9006748

Comment 46 Kevin Fenzi 2015-02-24 18:03:35 UTC
*** Bug 1195441 has been marked as a duplicate of this bug. ***

Comment 47 jamie 2015-02-24 18:09:53 UTC
Regrettably this is still an issue as I just had the same issue with Bug 1195441.

Comment 48 Ali Akcaagac 2015-02-26 00:41:12 UTC
Still same issues with thunar 1.6.5 on F20 and 3 days left until xfce4.12. I have mixed feelings if they release the long awaited xfce4.12 without having this critical issue solved before. I think everyone agree that this is a showstopper.

Comment 49 Kevin Fenzi 2015-02-26 01:24:57 UTC
(In reply to Ali Akcaagac from comment #48)
> Still same issues with thunar 1.6.5 on F20 and 3 days left until xfce4.12. I
> have mixed feelings if they release the long awaited xfce4.12 without having
> this critical issue solved before. I think everyone agree that this is a
> showstopper.

Well, it doesn't affect Fedora 21 and higher. It's only an issue with some interaction of an older packageset in Fedora 20. ;(

Comment 50 Ali Akcaagac 2015-02-26 08:29:45 UTC
(In reply to Kevin Fenzi from comment #49)
> Well, it doesn't affect Fedora 21 and higher.

Yes but judging from the upstream bug repot this affects a bunch of other distributions like Ubuntu. Debian stable ships dbus 1.6.x too. So chances are good that Thunar may receive some sort of backport once released. Judging from the COPR Packages of Xfce4.11 and plenty of up to date packages everything else works satisfyingly stable for months so far.

Comment 51 Kevin Fenzi 2015-02-28 17:43:27 UTC
*** Bug 1197306 has been marked as a duplicate of this bug. ***

Comment 52 Chris McDonald 2015-03-01 10:00:25 UTC
Another user experienced a similar problem:

Selected a set of files on an smb share, copied them, and attempted to paste them all into another directory on the same smb share.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar
crash_function: memmove
executable:     /usr/bin/thunar
kernel:         3.18.7-100.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 53 Kevin Fenzi 2015-03-02 13:26:38 UTC
*** Bug 1197662 has been marked as a duplicate of this bug. ***

Comment 54 Kevin Fenzi 2015-03-03 12:57:41 UTC
*** Bug 1198123 has been marked as a duplicate of this bug. ***

Comment 55 darton 2015-03-03 14:04:35 UTC
Another user experienced a similar problem:

It only happened once. Here's a step-by-step description:

1. A Thunar window is opened with a single tab, showing the contents of a directory deep within $HOME. No softlinks, no mounts, just plain ~/blah/blah/something/. One or two other Thunar windows *may* be present in system but are inivisible at the moment (opened in other workspaces).

2. Created a new folder via Ctrl+Shift+N.

3. Marked a dozen of files in the current folder via mouse: clisk on first one, shift-click on last one.

4. Dragged the selected files to a folder created in step 2. above.

5. Oops, Thunar crashed, ABRT window, etc.

6. After the crash, the files dragged in step 4 do reside in the folder they've been dragged to, they *have* been moved before the crash occured.

reporter:       libreport-2.2.3
backtrace_rating: 3
cmdline:        Thunar --daemon
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/thunar
kernel:         3.18.7-100.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            500

Comment 56 Ali Akcaagac 2015-03-07 10:33:15 UTC
A patch has been created that "may" fix the bug. I will recompile Thunar 1.6.6 (copr xfce 4.12) later this day and make a few tests with this patch applied and report back.

[1] https://bugzilla.xfce.org/show_bug.cgi?id=11450#c75
[2] http://forums.fedoraforum.org/showpost.php?p=1726390&postcount=39

Comment 57 Ali Akcaagac 2015-03-07 11:57:35 UTC
Back from testing!

Short ...: Fail
Long ....: I have set up xfce 4.12 from COPR with all the latest packages that it provides. The system is Fedora 20 with all current updates (incl. testing). All required debuginfo has been installed and are the latest versions (so the XFCE 4.12 COPR ones as well). DBus is dbus-1.6.30-1.fc20.i686.

1) I downloaded the patch provided within Comment 56) [1] - External to b.x.o.
   That patch changes some BINARY attributes to MISC_BINARY ...

2) I opened two terminals where in the one I ran:

   "rpmbuild --rebuild Thunar-1.6.6-1.fc20.src.rpm"

3) In the other terminal I instantly patched the above patch (which I called
   thunar.patch) inside the ~/rpmbuild/SOURCES/Thunar-1.6.6 directory with
   "patch -p1 < thunar.patch". Patch got applied correctly no issues. Object
   files are not build during that time.

   I know, this is not the correct way applying the patches inside an RPM but it
   works and I guarantee that the patch got applied long before any .o files are
   created.

4) yum reinstall Thunar-1.6.6-1.fc20.i686.rpm
   (re-installing the locally created RPM file with the above patch applied)

5) yum install Thunar-debuginfo-1.6.6-1.fc20.i686.rpm
   (for newly generated debug informations)

6) Ran thunar through gdb and copied some files from A to B and randomly into
   some folders and out of these folder again. Folder into folder, files into
   folders and so on.

7) Please see todays attachment for further info.

Comment 58 Ali Akcaagac 2015-03-07 11:58:25 UTC
Created attachment 999142 [details]
Thunar 1.6.6 crash with patch applied.

Comment 59 Ali Akcaagac 2015-03-07 13:26:17 UTC
I believe I found a solution:

https://bugzilla.xfce.org/show_bug.cgi?id=11450#c77

Please report back.

Comment 60 fleshmang 2015-03-11 23:37:57 UTC
Another user experienced a similar problem:

renaming / moving files and folders.  thunar had been open several hours, and I had performed many rename operations already.  Just before it crashed, I tried to rename a file and I could not enter text into the rename dialog or properties tab.  When I closed properties, thunar crashed.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        Thunar
crash_function: _dbus_header_get_byte_order
executable:     /usr/bin/thunar
kernel:         3.18.7-100.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 61 Nelson Lombardo 2015-03-12 12:43:53 UTC
Another user experienced a similar problem:

When I copy/cut a file/folder and paste in another location.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /bin/Thunar
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/thunar
kernel:         3.18.7-100.fc20.i686+PAE
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 62 Ali Akcaagac 2015-03-17 15:58:48 UTC
Following patch helped solving the issues.

http://bug-attachment.xfce.org/attachment.cgi?id=6069

Quick & Dirty Fix:

Please go to Thunar->Edit->Preferences and select "Show File Size In Binary Format" attribute and then deselect it again (or keept it).

Comment 63 Nelson Lombardo 2015-03-17 17:36:08 UTC
@Ali Akcaagac works for me! Thanks

Comment 64 Kevin Fenzi 2015-03-24 21:37:25 UTC
*** Bug 1205401 has been marked as a duplicate of this bug. ***

Comment 65 Kevin Fenzi 2015-03-25 11:56:27 UTC
*** Bug 1205437 has been marked as a duplicate of this bug. ***

Comment 66 Master_Sergius 2015-03-25 19:12:28 UTC
Another user experienced a similar problem:

I try to copy files on automounted usb flash and it always crashes

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar
crash_function: _dbus_list_unlink
executable:     /usr/bin/thunar
kernel:         3.18.9-100.fc20.i686
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 67 Tim Chappell 2015-03-30 14:45:24 UTC
Another user experienced a similar problem:

Right click on folder to copy (on USB drive),  right click paste to another USB drive.  It is reproducable.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar file:///run/media/TChappell/E801-3119
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/thunar
kernel:         3.18.9-100.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 68 Master_Sergius 2015-04-12 13:52:22 UTC
Another user experienced a similar problem:

Mounted remote folder via samba, tried to copy directory and that's it. Thunar has crashed.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar
crash_function: _dbus_connection_pop_message_link_unlocked
executable:     /usr/bin/thunar
kernel:         3.18.9-100.fc20.i686
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 69 Kenneth 2015-04-13 06:17:30 UTC
Another user experienced a similar problem:

Ctrl -x from desktop, Ctrl -v in thunar

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: memmove
executable:     /usr/bin/thunar
kernel:         3.19.3-100.fc20.x86_64
package:        Thunar-1.6.4-1.fc20
reason:         thunar killed by SIGSEGV
runlevel:       N 3
type:           CCpp
uid:            11183

Comment 70 Ali Akcaagac 2015-04-20 14:43:35 UTC
Thunar 1.6.7 released!

http://git.xfce.org/xfce/thunar/

Comment 71 Fedora Update System 2015-04-20 16:00:49 UTC
Thunar-1.6.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/Thunar-1.6.7-1.fc22

Comment 72 Fedora Update System 2015-04-20 16:01:23 UTC
Thunar-1.6.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/Thunar-1.6.7-1.fc21

Comment 73 Fedora Update System 2015-04-20 16:03:20 UTC
Thunar-1.6.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/Thunar-1.6.7-1.fc20

Comment 74 Kevin Fenzi 2015-04-21 12:50:25 UTC
*** Bug 1213849 has been marked as a duplicate of this bug. ***

Comment 75 Fedora Update System 2015-04-21 18:39:05 UTC
Package Thunar-1.6.7-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Thunar-1.6.7-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6446/Thunar-1.6.7-1.fc20
then log in and leave karma (feedback).

Comment 76 Adrián Reboreda Martínez 2015-04-21 18:41:28 UTC
It look like works.I've copied around 1.6Gb from a external disc under F20 on 9 separate operataions and Thunar did not crash.

Comment 77 Fedora Update System 2015-04-22 22:44:51 UTC
Thunar-1.6.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 78 Fedora Update System 2015-04-30 11:40:04 UTC
Thunar-1.6.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 79 Fedora Update System 2015-04-30 11:49:22 UTC
Thunar-1.6.7-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.